/*
 * Copyright 2019 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jbpm.task.assigning.model;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("TaGroup")
public class Group extends AbstractPersistable implements OrganizationalEntity {

    private String entityId;

    public Group() {
    }

    public Group(long id, String entityId) {
        super(id);
        this.entityId = entityId;
    }

    @Override
    public String getEntityId() {
        return entityId;
    }

    public void setEntityId(String entityId) {
        this.entityId = entityId;
    }

    @Override
    public boolean isUser() {
        return false;
    }

    @Override
    public String toString() {
        return "Group{" +
                "id=" + id +
                ", entityId='" + entityId + '\'' +
                '}';
    }
}
